package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 摄像头视频对象 mall_camera_video
 * 
 * @author LCL
 * @date 2024-03-29
 */
public class MallCameraVideo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 摄像头视频主键ID */
    private Long cameraVideoId;

    /** 所属公司ID */
    @Excel(name = "所属公司ID")
    private Long companyId;

    /** 所属公司名 */
    @Excel(name = "所属公司名")
    private String companyName;

    /** 所属管理员ID */
    @Excel(name = "所属管理员ID")
    private Long userId;

    /** 所属管理员名 */
    @Excel(name = "所属管理员名")
    private String userName;

    /** 基站ID */
    @Excel(name = "基站ID")
    private Long baseStationId;

    /** 基站名 */
    @Excel(name = "基站名")
    private String baseStationName;

    /** 摄像头ID */
    @Excel(name = "摄像头ID")
    private Long cameraId;

    /** 摄像头编号 */
    @Excel(name = "摄像头编号")
    private String cameraNumber;

    /** 摄像头视频名 */
    @Excel(name = "摄像头视频名")
    private String cameraVideoName;

    /** 封面图 */
    @Excel(name = "封面图")
    private String coverImage;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String videoUrl;

    /** 记录时间（年） */
    @Excel(name = "记录时间", readConverterExp = "年=")
    private String recordYear;

    /** 记录时间（月） */
    @Excel(name = "记录时间", readConverterExp = "月=")
    private String recordMonth;

    /** 记录时间（日） */
    @Excel(name = "记录时间", readConverterExp = "日=")
    private String recordDay;

    /** 记录时间 */
    @Excel(name = "记录时间")
    private String recordTime;

    /** 省份ID */
    @Excel(name = "省份ID")
    private Long provinceId;

    /** 省份名 */
    @Excel(name = "省份名")
    private String provinceName;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String cityName;

    /** 区县ID */
    @Excel(name = "区县ID")
    private Long areaId;

    /** 区县名 */
    @Excel(name = "区县名")
    private String areaName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 相关ID */
    @Excel(name = "相关ID")
    private String resId;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setCameraVideoId(Long cameraVideoId) 
    {
        this.cameraVideoId = cameraVideoId;
    }

    public Long getCameraVideoId() 
    {
        return cameraVideoId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setBaseStationId(Long baseStationId) 
    {
        this.baseStationId = baseStationId;
    }

    public Long getBaseStationId() 
    {
        return baseStationId;
    }
    public void setBaseStationName(String baseStationName) 
    {
        this.baseStationName = baseStationName;
    }

    public String getBaseStationName() 
    {
        return baseStationName;
    }
    public void setCameraId(Long cameraId) 
    {
        this.cameraId = cameraId;
    }

    public Long getCameraId() 
    {
        return cameraId;
    }
    public void setCameraNumber(String cameraNumber) 
    {
        this.cameraNumber = cameraNumber;
    }

    public String getCameraNumber() 
    {
        return cameraNumber;
    }
    public void setCameraVideoName(String cameraVideoName) 
    {
        this.cameraVideoName = cameraVideoName;
    }

    public String getCameraVideoName() 
    {
        return cameraVideoName;
    }
    public void setCoverImage(String coverImage) 
    {
        this.coverImage = coverImage;
    }

    public String getCoverImage() 
    {
        return coverImage;
    }
    public void setVideoUrl(String videoUrl) 
    {
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl() 
    {
        return videoUrl;
    }
    public void setRecordYear(String recordYear) 
    {
        this.recordYear = recordYear;
    }

    public String getRecordYear() 
    {
        return recordYear;
    }
    public void setRecordMonth(String recordMonth) 
    {
        this.recordMonth = recordMonth;
    }

    public String getRecordMonth() 
    {
        return recordMonth;
    }
    public void setRecordDay(String recordDay) 
    {
        this.recordDay = recordDay;
    }

    public String getRecordDay() 
    {
        return recordDay;
    }
    public void setRecordTime(String recordTime) 
    {
        this.recordTime = recordTime;
    }

    public String getRecordTime() 
    {
        return recordTime;
    }
    public void setProvinceId(Long provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId() 
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setResId(String resId) 
    {
        this.resId = resId;
    }

    public String getResId() 
    {
        return resId;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cameraVideoId", getCameraVideoId())
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("baseStationId", getBaseStationId())
            .append("baseStationName", getBaseStationName())
            .append("cameraId", getCameraId())
            .append("cameraNumber", getCameraNumber())
            .append("cameraVideoName", getCameraVideoName())
            .append("coverImage", getCoverImage())
            .append("videoUrl", getVideoUrl())
            .append("recordYear", getRecordYear())
            .append("recordMonth", getRecordMonth())
            .append("recordDay", getRecordDay())
            .append("recordTime", getRecordTime())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("resId", getResId())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
